<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>
        <h:form prependId="false">
            <p:growl id="grwol" />
            <p:fieldset legend="Cadastro de Estado" >
                <p:panelGrid columns="2" id="painel">
                    <p:outputLabel value="Codigo:" />
                    <p:inputText value="#{estadoBean.estado.id}" size="2" readonly="true"/>
                    
                    <p:outputLabel value="Nome:" for="nome"/>
                    <p:inputText id="nome" value="#{estadoBean.estado.nome}" required="true" />
                    
                    <p:outputLabel value="Sigla:" for="sigla"/>
                    <p:inputText id="sigla" size="2" value="#{estadoBean.estado.sigla}" required="true" maxlength="2"/>
                    
                    <p:commandButton value="Salvar" actionListener="#{estadoBean.salvar}" update="painel,grwol" />                   
                    <p:commandButton value="Novo" actionListener="#{estadoBean.novo}" update="@form" /> 
                </p:panelGrid>
            </p:fieldset>
            
        </h:form>
    </h:body>
</html>

